Index: /branches/qt_gui/src/lib/gui/gui_element.cc
===================================================================
--- /branches/qt_gui/src/lib/gui/gui_element.cc	(revision 7483)
+++ /branches/qt_gui/src/lib/gui/gui_element.cc	(revision 7484)
@@ -27,5 +27,5 @@
    *  standard constructor
    */
-  GuiElement::GuiElement (const std::string& name)
+  Element::Element (const std::string& name)
   : SaveableGroup(name)
   {
@@ -38,5 +38,5 @@
 
   */
-  GuiElement::~GuiElement ()
+  Element::~Element()
   {
     // delete what has to be deleted here
@@ -46,5 +46,5 @@
    *  Every GuiElement should set this, or it could result in a SegFault.
   */
-  void GuiElement::setMainWidget(Widget* widget)
+  void Element::setMainWidget(Widget* widget)
   {
     this->mainWidget = widget;
Index: /branches/qt_gui/src/lib/gui/gui_element.h
===================================================================
--- /branches/qt_gui/src/lib/gui/gui_element.h	(revision 7483)
+++ /branches/qt_gui/src/lib/gui/gui_element.h	(revision 7484)
@@ -15,10 +15,10 @@
 
   //! A SuperClass for all the Different GuiElements
-  class GuiElement : public SaveableGroup
+  class Element : public SaveableGroup
   {
 
   public:
-    GuiElement(const std::string& name);
-    virtual ~GuiElement();
+    Element(const std::string& name);
+    virtual ~Element();
 
     /** @returns the main Widget of this GuiElement. */
Index: /branches/qt_gui/src/lib/gui/qt_gui/Makefile.am
===================================================================
--- /branches/qt_gui/src/lib/gui/qt_gui/Makefile.am	(revision 7483)
+++ /branches/qt_gui/src/lib/gui/qt_gui/Makefile.am	(revision 7484)
@@ -1,4 +1,5 @@
 MAINSRCDIR=../../..
-include $(MAINSRCDIR)/defs/include_paths.am
+include = $(MAINSRCDIR)/lib/lang
+include+= $(MAINSRCDIR)/defs
 
 AM_LDFLAGS =
Index: /branches/qt_gui/src/lib/gui/qt_gui/gui_video.cc
===================================================================
--- /branches/qt_gui/src/lib/gui/qt_gui/gui_video.cc	(revision 7483)
+++ /branches/qt_gui/src/lib/gui/qt_gui/gui_video.cc	(revision 7484)
@@ -26,6 +26,12 @@
 
 #include "gui_video.h"
+
+#include <qlayout.h>
 #include "sdlincl.h"
 #include "debug.h"
+
+#include <qpushbutton.h>
+#include <qcheckbox.h>
+#include <qcombobox.h>
 
 namespace OrxGui
@@ -35,5 +41,16 @@
   */
   GuiVideo::GuiVideo()
+  : Element("Video")
   {
+    QGridLayout* layout = new QGridLayout(this);
+    {
+      QCheckBox* fullscreen = new QCheckBox(QString("FullScreen"), NULL);
+      //fullscreen->setName();
+      layout->addWidget(fullscreen, 1, 1);
+
+    }
+
+
+
 /*    Frame* videoFrame;        //!< The Frame that holds the video options.
 
Index: /branches/qt_gui/src/lib/gui/qt_gui/gui_video.h
===================================================================
--- /branches/qt_gui/src/lib/gui/qt_gui/gui_video.h	(revision 7483)
+++ /branches/qt_gui/src/lib/gui/qt_gui/gui_video.h	(revision 7484)
@@ -6,12 +6,13 @@
 #define _GUI_VIDEO_H
 
-#include "gui_element.h"
+#include "../gui_element.h"
 #include <vector>
 #include <string>
+#include <qgroupbox.h>
 
 namespace OrxGui
 {
   //! Class that creates the Video-Options.
-  class GuiVideo : public GuiElement
+  class GuiVideo : public OrxGui::Element, public QGroupBox
   {
   public:
Index: /branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc
===================================================================
--- /branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc	(revision 7483)
+++ /branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc	(revision 7484)
@@ -21,4 +21,8 @@
 #include <qgroupbox.h>
 #include <qlayout.h>
+#include <qtoolbox.h>
+
+
+#include "gui_video.h"
 
 namespace OrxGui
@@ -33,7 +37,10 @@
     QGroupBox* groupBox = new QGroupBox;
     QGridLayout* mainLayout = new QGridLayout(groupBox);
-
-
-
+    {
+      QToolBox* toolBox = new QToolBox();
+      {
+       // toolBox->addItem(new GuiVideo(), "Video");
+      }
+    }
 
     this->mainWindow->setCentralWidget(groupBox);
